﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;

namespace ITC81DB_2_ImageDll
{
    public class Class1
    {
        public enum ButtonImages
        {
            DataStatisticsNoDisable,
            DataStatisticsNoDown,
            DataStatisticsNoUp,

            #region English
            engBackgroundAutoZero,
            engBackgroundCalibration,
            engBackgroundDataBackup,
            engBackgroundDataStatistics,
            engBackgroundExternalOutput,
            engBackgroundJudgment,
            engBackgroundJudgment_Updown,
            engBackgroundOptionBoard1,
            engBackgroundProduct,
            engBackgroundSerial,
            engBackgroundSorterSetting,
            engBackgroundTime,
            engBypassCountDown,
            engBypassCountUp,
            engCalibrationBalanceDisable,
            engCalibrationBalanceDown,
            engCalibrationBalanceUp,
            engCalibrationCancelDisable,
            engCalibrationCancelDown,
            engCalibrationCancelUp,
            engCalibrationStartDisable,
            engCalibrationStartDown,
            engCalibrationStartUp,
            engCalibrationZeroDisable,
            engCalibrationZeroDown,
            engCalibrationZeroUp,
            engFormMainDisplayBargraphOverDisable,
            engFormMainDisplayBargraphOverUp,
            engFormMainDisplayBargraphPassDisable,
            engFormMainDisplayBargraphPassUp,
            engFormMainDisplayBargraphTareDisable,
            engFormMainDisplayBargraphTareUp,
            engFormMainDisplayBargraphUnderDisable,
            engFormMainDisplayBargraphUnderUp,
            engFormMainDisplayClearDisable,
            engFormMainDisplayClearDown,
            engFormMainDisplayClearUp,
            engFormMainDisplayDeviationUp,
            engFormMainDisplayLogOffDisable,
            engFormMainDisplayLogOffDown,
            engFormMainDisplayLogOffUp,
            engFormMainDisplayPrintDisable,
            engFormMainDisplayPrintDown,
            engFormMainDisplayPrintUp,
            engFormMainDisplayScreenDisable,
            engFormMainDisplayScreenDown,
            engFormMainDisplayScreenUp,
            engFormMainDisplayStatistics,
            engFormMainDisplayWeightUp,
            engFormMainDisplayZeroDisable,
            engFormMainDisplayZeroDown,
            engFormMainDisplayZeroUp,
            engFormMainLoginCancelDisable,
            engFormMainLoginCancelDown,
            engFormMainLoginCancelUp,
            engFormMainLoginDisable,
            engFormMainLoginDown,
            engFormMainLoginUp,
            engFormMenuConfigDisable,
            engFormMenuConfigDown,
            engFormMenuConfigUp,
            engFormMenuDefaultDisable,
            engFormMenuDefaultDown,
            engFormMenuDefaultUp,
            engFormMenuEquipmentDisable,
            engFormMenuEquipmentDown,
            engFormMenuEquipmentUp,
            engFormMenuInformationDisable,
            engFormMenuInformationDown,
            engFormMenuInformationUp,
            engFormMenuSystemDisable,
            engFormMenuSystemDown,
            engFormMenuSystemUp,
            engHelpASDisable,
            engHelpASDown,
            engHelpASUp,
            engHelpAutoZeroDisable,
            engHelpAutoZeroDown,
            engHelpAutoZeroUp,
            engHelpCalibrationDisable,
            engHelpCalibrationDown,
            engHelpCalibrationUp,
            engHelpDataBackupDisable,
            engHelpDataBackupDown,
            engHelpDataBackupUp,
            engHelpDataStatisticsDisable,
            engHelpDataStatisticsDown,
            engHelpDataStatisticsUp,
            engHelpEngineerDisable,
            engHelpEngineerDown,
            engHelpEngineerUp,
            engHelpEquipmentTestDisable,
            engHelpEquipmentTestDown,
            engHelpEquipmentTestUp,
            engHelpExternalOutputDisable,
            engHelpExternalOutputDown,
            engHelpExternalOutputUp,
            engHelpFunctionDisable,
            engHelpFunctionDown,
            engHelpFunctionUp,
            engHelpInformationDisable,
            engHelpInformationDown,
            engHelpInformationUp,
            engHelpInitializationDisable,
            engHelpInitializationDown,
            engHelpInitializationUp,
            engHelpIOTestDisable,
            engHelpIOTestDown,
            engHelpIOTestUp,
            engHelpItemDisable,
            engHelpItemDown,
            engHelpItemUp,
            engHelpJudgmentDisable,
            engHelpJudgmentDown,
            engHelpJudgmentUp,
            engHelpOptionBoardDisable,
            engHelpOptionBoardDown,
            engHelpOptionBoardUp,
            engHelpOptionDisable,
            engHelpOptionDown,
            engHelpOptionUp,
            engHelpSerialDisable,
            engHelpSerialDown,
            engHelpSerialUp,
            engHelpSorterDisable,
            engHelpSorterDown,
            engHelpSorterUp,
            engHelpSystemBackupDisable,
            engHelpSystemBackupDown,
            engHelpSystemBackupUp,
            engHelpTimeDisable,
            engHelpTimeDown,
            engHelpTimeUp,
            engHelpUpdateDisable,
            engHelpUpdateDown,
            engHelpUpdateUp,
            engHelpUserDisable,
            engHelpUserDown,
            engHelpUserUp,
            engJudgmentStandardDisable,
            engJudgmentStandardDown,
            engJudgmentStandardUp,
            engLightOverDown,
            engLightOverUp,
            engLightPassDown,
            engLightPassUp,
            engLightUnderDown,
            engLightUnderUp,
            engMainLineScreen,
            engMainRunLineOverDisable,
            engMainRunLineOverDown,
            engMainRunLineOverUp,
            engMainRunLinePassDisable,
            engMainRunLinePassDown,
            engMainRunLinePassUp,
            engMainRunLineUnderDisable,
            engMainRunLineUnderDown,
            engMainRunLineUnderUp,
            #endregion

            #region Korean
            korBackgroundAutoZero,
            korBackgroundCalibration,
            korBackgroundDataBackup,
            korBackgroundDataStatistics,
            korBackgroundExternalOutput,
            korBackgroundJudgment,
            korBackgroundJudgment_Updown,
            korBackgroundOptionBoard1,
            korBackgroundProduct,
            korBackgroundSerial,
            korBackgroundSorterSetting,
            korBackgroundTime,
            korBypassCountDown,
            korBypassCountUp,
            korBypassOccasionDown,
            korBypassOccasionUp,
            korCalibrationBalanceDisable,
            korCalibrationBalanceDown,
            korCalibrationBalanceUp,
            korCalibrationCancelDisable,
            korCalibrationCancelDown,
            korCalibrationCancelUp,
            korCalibrationStartDisable,
            korCalibrationStartDown,
            korCalibrationStartUp,
            korCalibrationZeroDisable,
            korCalibrationZeroDown,
            korCalibrationZeroUp,
            korFormMainDisplayBargraphOverDisable,
            korFormMainDisplayBargraphOverUp,
            korFormMainDisplayBargraphPassDisable,
            korFormMainDisplayBargraphPassUp,
            korFormMainDisplayBargraphTareDisable,
            korFormMainDisplayBargraphTareUp,
            korFormMainDisplayBargraphUnderDisable,
            korFormMainDisplayBargraphUnderUp,
            korFormMainDisplayClearDisable,
            korFormMainDisplayClearDown,
            korFormMainDisplayClearUp,
            korFormMainDisplayDeviationUp,
            korFormMainDisplayLogOffDisable,
            korFormMainDisplayLogOffDown,
            korFormMainDisplayLogOffUp,
            korFormMainDisplayPrintDisable,
            korFormMainDisplayPrintDown,
            korFormMainDisplayPrintUp,
            korFormMainDisplayStatistics,
            korFormMainDisplayScreenDisable,
            korFormMainDisplayScreenDown,
            korFormMainDisplayScreenUp,
            korFormMainDisplayWeightUp,
            korFormMainDisplayZeroDisable,
            korFormMainDisplayZeroDown,
            korFormMainDisplayZeroUp,
            korFormMainLoginCancelDisable,
            korFormMainLoginCancelDown,
            korFormMainLoginCancelUp,
            korFormMainLoginDisable,
            korFormMainLoginDown,
            korFormMainLoginUp,
            korFormMenuConfigDisable,
            korFormMenuConfigDown,
            korFormMenuConfigUp,
            korFormMenuDefaultDisable,
            korFormMenuDefaultDown,
            korFormMenuDefaultUp,
            korFormMenuEquipmentDisable,
            korFormMenuEquipmentDown,
            korFormMenuEquipmentUp,
            korFormMenuInformationDisable,
            korFormMenuInformationDown,
            korFormMenuInformationUp,
            korFormMenuSystemDisable,
            korFormMenuSystemDown,
            korFormMenuSystemUp,
            korHelpASDisable,
            korHelpASDown,
            korHelpASUp,
            korHelpAutoZeroDisable,
            korHelpAutoZeroDown,
            korHelpAutoZeroUp,
            korHelpCalibrationDisable,
            korHelpCalibrationDown,
            korHelpCalibrationUp,
            korHelpDataBackupDisable,
            korHelpDataBackupDown,
            korHelpDataBackupUp,
            korHelpDataStatisticsDisable,
            korHelpDataStatisticsDown,
            korHelpDataStatisticsUp,
            korHelpEngineerDisable,
            korHelpEngineerDown,
            korHelpEngineerUp,
            korHelpEquipmentTestDisable,
            korHelpEquipmentTestDown,
            korHelpEquipmentTestUp,
            korHelpExternalOutputDisable,
            korHelpExternalOutputDown,
            korHelpExternalOutputUp,
            korHelpFunctionDisable,
            korHelpFunctionDown,
            korHelpFunctionUp,
            korHelpInformationDisable,
            korHelpInformationDown,
            korHelpInformationUp,
            korHelpInitializationDisable,
            korHelpInitializationDown,
            korHelpInitializationUp,
            korHelpIOTestDisable,
            korHelpIOTestDown,
            korHelpIOTestUp,
            korHelpItemDisable,
            korHelpItemDown,
            korHelpItemUp,
            korHelpJudgmentDisable,
            korHelpJudgmentDown,
            korHelpJudgmentUp,
            korHelpOptionBoardDisable,
            korHelpOptionBoardDown,
            korHelpOptionBoardUp,
            korHelpOptionDisable,
            korHelpOptionDown,
            korHelpOptionUp,
            korHelpSerialDisable,
            korHelpSerialDown,
            korHelpSerialUp,
            korHelpSorterDisable,
            korHelpSorterDown,
            korHelpSorterUp,
            korHelpTimeDisable,
            korHelpTimeDown,
            korHelpTimeUp,
            korHelpUpdateDisable,
            korHelpUpdateDown,
            korHelpUpdateUp,
            korHelpUserDisable,
            korHelpUserDown,
            korHelpUserUp,
            korJudgmentStandardDisable,
            korJudgmentStandardDown,
            korJudgmentStandardUp,
            korLightOverDown,
            korLightOverUp,
            korLightPassDown,
            korLightPassUp,
            korLightUnderDown,
            korLightUnderUp,
            korMainLineScreen,
            korMainRunLineOverDisable,
            korMainRunLineOverDown,
            korMainRunLineOverUp,
            korMainRunLinePassDisable,
            korMainRunLinePassDown,
            korMainRunLinePassUp,
            korMainRunLineUnderDisable,
            korMainRunLineUnderDown,
            korMainRunLineUnderUp,            
            #endregion

            ProductNoDisable,
            ProductNoDown,
            ProductNoUp,
        }

        public Bitmap GetImage(ButtonImages image)
        {
            Bitmap bt;

            switch (image)
            {
                case ButtonImages.DataStatisticsNoDisable:
                    bt = new Bitmap(Resource1.DataStatisticsNoDisable);
                    break;
                case ButtonImages.DataStatisticsNoDown:
                    bt = new Bitmap(Resource1.DataStatisticsNoDown);
                    break;
                case ButtonImages.DataStatisticsNoUp:
                    bt = new Bitmap(Resource1.DataStatisticsNoUp);
                    break;

                #region English
                case ButtonImages.engBackgroundAutoZero:
                    bt = new Bitmap(Resource1.engBackgroundAutoZero);
                    break;
                case ButtonImages.engBackgroundCalibration:
                    bt = new Bitmap(Resource1.engBackgroundCalibration);
                    break;
                case ButtonImages.engBackgroundDataBackup:
                    bt = new Bitmap(Resource1.engBackgroundDataBackup);
                    break;
                case ButtonImages.engBackgroundDataStatistics:
                    bt = new Bitmap(Resource1.engBackgroundDataStatistics);
                    break;
                case ButtonImages.engBackgroundExternalOutput:
                    bt = new Bitmap(Resource1.engBackgroundExternalOutput);
                    break;
                case ButtonImages.engBackgroundJudgment:
                    bt = new Bitmap(Resource1.engBackgroundJudgment);
                    break;
                case ButtonImages.engBackgroundJudgment_Updown:
                    bt = new Bitmap(Resource1.engBackgroundJudgment_Updown);
                    break;
                case ButtonImages.engBackgroundOptionBoard1:
                    bt = new Bitmap(Resource1.engBackgroundOptionBoard1);
                    break;
                case ButtonImages.engBackgroundProduct:
                    bt = new Bitmap(Resource1.engBackgroundProduct);
                    break;
                case ButtonImages.engBackgroundSerial:
                    bt = new Bitmap(Resource1.engBackgroundSerial);
                    break;
                case ButtonImages.engBackgroundSorterSetting:
                    bt = new Bitmap(Resource1.engBackgroundSorterSetting);
                    break;
                case ButtonImages.engBackgroundTime:
                    bt = new Bitmap(Resource1.engBackgroundTime);
                    break;
                case ButtonImages.engBypassCountDown:
                    bt = new Bitmap(Resource1.engBypassCountDown);
                    break;
                case ButtonImages.engBypassCountUp:
                    bt = new Bitmap(Resource1.engBypassCountUp);
                    break;
                case ButtonImages.engCalibrationBalanceDisable:
                    bt = new Bitmap(Resource1.engCalibrationBalanceDisable);
                    break;
                case ButtonImages.engCalibrationBalanceDown:
                    bt = new Bitmap(Resource1.engCalibrationBalanceDown);
                    break;
                case ButtonImages.engCalibrationBalanceUp:
                    bt = new Bitmap(Resource1.engCalibrationBalanceUp);
                    break;
                case ButtonImages.engCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.engCalibrationCancelDisable);
                    break;
                case ButtonImages.engCalibrationCancelDown:
                    bt = new Bitmap(Resource1.engCalibrationCancelDown);
                    break;
                case ButtonImages.engCalibrationCancelUp:
                    bt = new Bitmap(Resource1.engCalibrationCancelUp);
                    break;
                case ButtonImages.engCalibrationStartDisable:
                    bt = new Bitmap(Resource1.engCalibrationStartDisable);
                    break;
                case ButtonImages.engCalibrationStartDown:
                    bt = new Bitmap(Resource1.engCalibrationStartDown);
                    break;
                case ButtonImages.engCalibrationStartUp:
                    bt = new Bitmap(Resource1.engCalibrationStartUp);
                    break;
                case ButtonImages.engCalibrationZeroDisable:
                    bt = new Bitmap(Resource1.engCalibrationZeroDisable);
                    break;
                case ButtonImages.engCalibrationZeroDown:
                    bt = new Bitmap(Resource1.engCalibrationZeroDown);
                    break;
                case ButtonImages.engCalibrationZeroUp:
                    bt = new Bitmap(Resource1.engCalibrationZeroUp);
                    break;
                case ButtonImages.engJudgmentStandardDisable:
                    bt = new Bitmap(Resource1.engJudgmentStandardDisable);
                    break;
                case ButtonImages.engJudgmentStandardDown:
                    bt = new Bitmap(Resource1.engJudgmentStandardDown);
                    break;
                case ButtonImages.engJudgmentStandardUp:
                    bt = new Bitmap(Resource1.engJudgmentStandardUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphOverDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphOverDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphOverUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphOverUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphPassDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphPassDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphPassUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphPassUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphTareDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphTareDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphTareUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphTareUp);
                    break;
                case ButtonImages.engFormMainDisplayBargraphUnderDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphUnderDisable);
                    break;
                case ButtonImages.engFormMainDisplayBargraphUnderUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayBargraphUnderUp);
                    break;
                case ButtonImages.engFormMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearDisable);
                    break;
                case ButtonImages.engFormMainDisplayClearDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearDown);
                    break;
                case ButtonImages.engFormMainDisplayClearUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayClearUp);
                    break;
                case ButtonImages.engFormMainDisplayDeviationUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayDeviationUp);
                    break;
                case ButtonImages.engFormMainDisplayLogOffDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffDisable);
                    break;
                case ButtonImages.engFormMainDisplayLogOffDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffDown);
                    break;
                case ButtonImages.engFormMainDisplayLogOffUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayLogOffUp);
                    break;
                case ButtonImages.engFormMainDisplayPrintDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintDisable);
                    break;
                case ButtonImages.engFormMainDisplayPrintDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintDown);
                    break;
                case ButtonImages.engFormMainDisplayPrintUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayPrintUp);
                    break;
                case ButtonImages.engFormMainDisplayScreenDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenDisable);
                    break;
                case ButtonImages.engFormMainDisplayScreenDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenDown);
                    break;
                case ButtonImages.engFormMainDisplayScreenUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayScreenUp);
                    break;
                case ButtonImages.engFormMainDisplayStatistics:
                    bt = new Bitmap(Resource1.engFormMainDisplayStatistics);
                    break;
                case ButtonImages.engFormMainDisplayWeightUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayWeightUp);
                    break;
                case ButtonImages.engFormMainDisplayZeroDisable:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroDisable);
                    break;
                case ButtonImages.engFormMainDisplayZeroDown:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroDown);
                    break;
                case ButtonImages.engFormMainDisplayZeroUp:
                    bt = new Bitmap(Resource1.engFormMainDisplayZeroUp);
                    break;
                case ButtonImages.engFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDisable);
                    break;
                case ButtonImages.engFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelDown);
                    break;
                case ButtonImages.engFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.engFormMainLoginCancelUp);
                    break;
                case ButtonImages.engFormMainLoginDisable:
                    bt = new Bitmap(Resource1.engFormMainLoginDisable);
                    break;
                case ButtonImages.engFormMainLoginDown:
                    bt = new Bitmap(Resource1.engFormMainLoginDown);
                    break;
                case ButtonImages.engFormMainLoginUp:
                    bt = new Bitmap(Resource1.engFormMainLoginUp);
                    break;
                case ButtonImages.engFormMenuConfigDisable:
                    bt = new Bitmap(Resource1.engFormMenuConfigDisable);
                    break;
                case ButtonImages.engFormMenuConfigDown:
                    bt = new Bitmap(Resource1.engFormMenuConfigDown);
                    break;
                case ButtonImages.engFormMenuConfigUp:
                    bt = new Bitmap(Resource1.engFormMenuConfigUp);
                    break;
                case ButtonImages.engFormMenuDefaultDisable:
                    bt = new Bitmap(Resource1.engFormMenuDefaultDisable);
                    break;
                case ButtonImages.engFormMenuDefaultDown:
                    bt = new Bitmap(Resource1.engFormMenuDefaultDown);
                    break;
                case ButtonImages.engFormMenuDefaultUp:
                    bt = new Bitmap(Resource1.engFormMenuDefaultUp);
                    break;
                case ButtonImages.engFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDisable);
                    break;
                case ButtonImages.engFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentDown);
                    break;
                case ButtonImages.engFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.engFormMenuEquipmentUp);
                    break;
                case ButtonImages.engFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.engFormMenuInformationDisable);
                    break;
                case ButtonImages.engFormMenuInformationDown:
                    bt = new Bitmap(Resource1.engFormMenuInformationDown);
                    break;
                case ButtonImages.engFormMenuInformationUp:
                    bt = new Bitmap(Resource1.engFormMenuInformationUp);
                    break;
                case ButtonImages.engFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.engFormMenuSystemDisable);
                    break;
                case ButtonImages.engFormMenuSystemDown:
                    bt = new Bitmap(Resource1.engFormMenuSystemDown);
                    break;
                case ButtonImages.engFormMenuSystemUp:
                    bt = new Bitmap(Resource1.engFormMenuSystemUp);
                    break;
                case ButtonImages.engHelpASDisable:
                    bt = new Bitmap(Resource1.engHelpASDisable);
                    break;
                case ButtonImages.engHelpASDown:
                    bt = new Bitmap(Resource1.engHelpASDown);
                    break;
                case ButtonImages.engHelpASUp:
                    bt = new Bitmap(Resource1.engHelpASUp);
                    break;
                case ButtonImages.engHelpAutoZeroDisable:
                    bt = new Bitmap(Resource1.engHelpAutoZeroDisable);
                    break;
                case ButtonImages.engHelpAutoZeroDown:
                    bt = new Bitmap(Resource1.engHelpAutoZeroDown);
                    break;
                case ButtonImages.engHelpAutoZeroUp:
                    bt = new Bitmap(Resource1.engHelpAutoZeroUp);
                    break;
                case ButtonImages.engHelpCalibrationDisable:
                    bt = new Bitmap(Resource1.engHelpCalibrationDisable);
                    break;
                case ButtonImages.engHelpCalibrationDown:
                    bt = new Bitmap(Resource1.engHelpCalibrationDown);
                    break;
                case ButtonImages.engHelpCalibrationUp:
                    bt = new Bitmap(Resource1.engHelpCalibrationUp);
                    break;
                case ButtonImages.engHelpDataBackupDisable:
                    bt = new Bitmap(Resource1.engHelpDataBackupDisable);
                    break;
                case ButtonImages.engHelpDataBackupDown:
                    bt = new Bitmap(Resource1.engHelpDataBackupDown);
                    break;
                case ButtonImages.engHelpDataBackupUp:
                    bt = new Bitmap(Resource1.engHelpDataBackupUp);
                    break;
                case ButtonImages.engHelpDataStatisticsDisable:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsDisable);
                    break;
                case ButtonImages.engHelpDataStatisticsDown:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsDown);
                    break;
                case ButtonImages.engHelpDataStatisticsUp:
                    bt = new Bitmap(Resource1.engHelpDataStatisticsUp);
                    break;
                case ButtonImages.engHelpEngineerDisable:
                    bt = new Bitmap(Resource1.engHelpEngineerDisable);
                    break;
                case ButtonImages.engHelpEngineerDown:
                    bt = new Bitmap(Resource1.engHelpEngineerDown);
                    break;
                case ButtonImages.engHelpEngineerUp:
                    bt = new Bitmap(Resource1.engHelpEngineerUp);
                    break;
                case ButtonImages.engHelpEquipmentTestDisable:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestDisable);
                    break;
                case ButtonImages.engHelpEquipmentTestDown:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestDown);
                    break;
                case ButtonImages.engHelpEquipmentTestUp:
                    bt = new Bitmap(Resource1.engHelpEquipmentTestUp);
                    break;
                case ButtonImages.engHelpExternalOutputDisable:
                    bt = new Bitmap(Resource1.engHelpExternalOutputDisable);
                    break;
                case ButtonImages.engHelpExternalOutputDown:
                    bt = new Bitmap(Resource1.engHelpExternalOutputDown);
                    break;
                case ButtonImages.engHelpExternalOutputUp:
                    bt = new Bitmap(Resource1.engHelpExternalOutputUp);
                    break;
                case ButtonImages.engHelpFunctionDisable:
                    bt = new Bitmap(Resource1.engHelpFunctionDisable);
                    break;
                case ButtonImages.engHelpFunctionDown:
                    bt = new Bitmap(Resource1.engHelpFunctionDown);
                    break;
                case ButtonImages.engHelpFunctionUp:
                    bt = new Bitmap(Resource1.engHelpFunctionUp);
                    break;
                case ButtonImages.engHelpInformationDisable:
                    bt = new Bitmap(Resource1.engHelpInformationDisable);
                    break;
                case ButtonImages.engHelpInformationDown:
                    bt = new Bitmap(Resource1.engHelpInformationDown);
                    break;
                case ButtonImages.engHelpInformationUp:
                    bt = new Bitmap(Resource1.engHelpInformationUp);
                    break;
                case ButtonImages.engHelpInitializationDisable:
                    bt = new Bitmap(Resource1.engHelpInitializationDisable);
                    break;
                case ButtonImages.engHelpInitializationDown:
                    bt = new Bitmap(Resource1.engHelpInitializationDown);
                    break;
                case ButtonImages.engHelpInitializationUp:
                    bt = new Bitmap(Resource1.engHelpInitializationUp);
                    break;
                case ButtonImages.engHelpIOTestDisable:
                    bt = new Bitmap(Resource1.engHelpIOTestDisable);
                    break;
                case ButtonImages.engHelpIOTestDown:
                    bt = new Bitmap(Resource1.engHelpIOTestDown);
                    break;
                case ButtonImages.engHelpIOTestUp:
                    bt = new Bitmap(Resource1.engHelpIOTestUp);
                    break;
                case ButtonImages.engHelpItemDisable:
                    bt = new Bitmap(Resource1.engHelpItemDisable);
                    break;
                case ButtonImages.engHelpItemDown:
                    bt = new Bitmap(Resource1.engHelpItemDown);
                    break;
                case ButtonImages.engHelpItemUp:
                    bt = new Bitmap(Resource1.engHelpItemUp);
                    break;
                case ButtonImages.engHelpJudgmentDisable:
                    bt = new Bitmap(Resource1.engHelpJudgmentDisable);
                    break;
                case ButtonImages.engHelpJudgmentDown:
                    bt = new Bitmap(Resource1.engHelpJudgmentDown);
                    break;
                case ButtonImages.engHelpJudgmentUp:
                    bt = new Bitmap(Resource1.engHelpJudgmentUp);
                    break;
                case ButtonImages.engHelpOptionBoardDisable:
                    bt = new Bitmap(Resource1.engHelpOptionBoardDisable);
                    break;
                case ButtonImages.engHelpOptionBoardDown:
                    bt = new Bitmap(Resource1.engHelpOptionBoardDown);
                    break;
                case ButtonImages.engHelpOptionBoardUp:
                    bt = new Bitmap(Resource1.engHelpOptionBoardUp);
                    break;
                case ButtonImages.engHelpOptionDisable:
                    bt = new Bitmap(Resource1.engHelpOptionDisable);
                    break;
                case ButtonImages.engHelpOptionDown:
                    bt = new Bitmap(Resource1.engHelpOptionDown);
                    break;
                case ButtonImages.engHelpOptionUp:
                    bt = new Bitmap(Resource1.engHelpOptionUp);
                    break;
                case ButtonImages.engHelpSerialDisable:
                    bt = new Bitmap(Resource1.engHelpSerialDisable);
                    break;
                case ButtonImages.engHelpSerialDown:
                    bt = new Bitmap(Resource1.engHelpSerialDown);
                    break;
                case ButtonImages.engHelpSerialUp:
                    bt = new Bitmap(Resource1.engHelpSerialUp);
                    break;
                case ButtonImages.engHelpSorterDisable:
                    bt = new Bitmap(Resource1.engHelpSorterDisable);
                    break;
                case ButtonImages.engHelpSorterDown:
                    bt = new Bitmap(Resource1.engHelpSorterDown);
                    break;
                case ButtonImages.engHelpSorterUp:
                    bt = new Bitmap(Resource1.engHelpSorterUp);
                    break;
                case ButtonImages.engHelpSystemBackupDisable:
                    bt = new Bitmap(Resource1.engHelpSystemBackupDisable);
                    break;
                case ButtonImages.engHelpSystemBackupDown:
                    bt = new Bitmap(Resource1.engHelpSystemBackupDown);
                    break;
                case ButtonImages.engHelpSystemBackupUp:
                    bt = new Bitmap(Resource1.engHelpSystemBackupUp);
                    break;
                case ButtonImages.engHelpTimeDisable:
                    bt = new Bitmap(Resource1.engHelpTimeDisable);
                    break;
                case ButtonImages.engHelpTimeDown:
                    bt = new Bitmap(Resource1.engHelpTimeDown);
                    break;
                case ButtonImages.engHelpTimeUp:
                    bt = new Bitmap(Resource1.engHelpTimeUp);
                    break;
                case ButtonImages.engHelpUpdateDisable:
                    bt = new Bitmap(Resource1.engHelpUpdateDisable);
                    break;
                case ButtonImages.engHelpUpdateDown:
                    bt = new Bitmap(Resource1.engHelpUpdateDown);
                    break;
                case ButtonImages.engHelpUpdateUp:
                    bt = new Bitmap(Resource1.engHelpUpdateUp);
                    break;
                case ButtonImages.engHelpUserDisable:
                    bt = new Bitmap(Resource1.engHelpUserDisable);
                    break;
                case ButtonImages.engHelpUserDown:
                    bt = new Bitmap(Resource1.engHelpUserDown);
                    break;
                case ButtonImages.engHelpUserUp:
                    bt = new Bitmap(Resource1.engHelpUserUp);
                    break;
                case ButtonImages.engLightOverDown:
                    bt = new Bitmap(Resource1.engLightOverDown);
                    break;
                case ButtonImages.engLightOverUp:
                    bt = new Bitmap(Resource1.engLightOverUp);
                    break;
                case ButtonImages.engLightPassDown:
                    bt = new Bitmap(Resource1.engLightPassDown);
                    break;
                case ButtonImages.engLightPassUp:
                    bt = new Bitmap(Resource1.engLightPassUp);
                    break;
                case ButtonImages.engLightUnderDown:
                    bt = new Bitmap(Resource1.engLightUnderDown);
                    break;
                case ButtonImages.engLightUnderUp:
                    bt = new Bitmap(Resource1.engLightUnderUp);
                    break;
                case ButtonImages.engMainLineScreen:
                    bt = new Bitmap(Resource1.engMainLineScreen);
                    break;
                case ButtonImages.engMainRunLineOverDisable:
                    bt = new Bitmap(Resource1.engMainRunLineOverDisable);
                    break;
                case ButtonImages.engMainRunLineOverDown:
                    bt = new Bitmap(Resource1.engMainRunLineOverDown);
                    break;
                case ButtonImages.engMainRunLineOverUp:
                    bt = new Bitmap(Resource1.engMainRunLineOverUp);
                    break;
                case ButtonImages.engMainRunLinePassDisable:
                    bt = new Bitmap(Resource1.engMainRunLinePassDisable);
                    break;
                case ButtonImages.engMainRunLinePassDown:
                    bt = new Bitmap(Resource1.engMainRunLinePassDown);
                    break;
                case ButtonImages.engMainRunLinePassUp:
                    bt = new Bitmap(Resource1.engMainRunLinePassUp);
                    break;
                case ButtonImages.engMainRunLineUnderDisable:
                    bt = new Bitmap(Resource1.engMainRunLineUnderDisable);
                    break;
                case ButtonImages.engMainRunLineUnderDown:
                    bt = new Bitmap(Resource1.engMainRunLineUnderDown);
                    break;
                case ButtonImages.engMainRunLineUnderUp:
                    bt = new Bitmap(Resource1.engMainRunLineUnderUp);
                    break;           
                #endregion

                #region Korean
                case ButtonImages.korBackgroundAutoZero:
                    bt = new Bitmap(Resource1.korBackgroundAutoZero);
                    break;
                case ButtonImages.korBackgroundCalibration:
                    bt = new Bitmap(Resource1.korBackgroundCalibration);
                    break;
                case ButtonImages.korBackgroundDataBackup:
                    bt = new Bitmap(Resource1.korBackgroundDataBackup);
                    break;
                case ButtonImages.korBackgroundDataStatistics:
                    bt = new Bitmap(Resource1.korBackgroundDataStatistics);
                    break;
                case ButtonImages.korBackgroundExternalOutput:
                    bt = new Bitmap(Resource1.korBackgroundExternalOutput);
                    break;
                case ButtonImages.korBackgroundJudgment:
                    bt = new Bitmap(Resource1.korBackgroundJudgment);
                    break;
                case ButtonImages.korBackgroundJudgment_Updown:
                    bt = new Bitmap(Resource1.korBackgroundJudgment_Updown);
                    break;
                case ButtonImages.korBackgroundOptionBoard1:
                    bt = new Bitmap(Resource1.korBackgroundOptionBoard1);
                    break;
                case ButtonImages.korBackgroundProduct:
                    bt = new Bitmap(Resource1.korBackgroundProduct);
                    break;
                case ButtonImages.korBackgroundSerial:
                    bt = new Bitmap(Resource1.korBackgroundSerial);
                    break;
                case ButtonImages.korBackgroundSorterSetting:
                    bt = new Bitmap(Resource1.korBackgroundSorterSetting);
                    break;
                case ButtonImages.korBackgroundTime:
                    bt = new Bitmap(Resource1.korBackgroundTime);
                    break;
                case ButtonImages.korBypassCountDown:
                    bt = new Bitmap(Resource1.korBypassCountDown);
                    break;
                case ButtonImages.korBypassCountUp:
                    bt = new Bitmap(Resource1.korBypassCountUp);
                    break;
                case ButtonImages.korBypassOccasionDown:
                    bt = new Bitmap(Resource1.korBypassOccasionDown);
                    break;
                case ButtonImages.korBypassOccasionUp:
                    bt = new Bitmap(Resource1.korBypassOccasionUp);
                    break;
                case ButtonImages.korCalibrationBalanceDisable:
                    bt = new Bitmap(Resource1.korCalibrationBalanceDisable);
                    break;
                case ButtonImages.korCalibrationBalanceDown:
                    bt = new Bitmap(Resource1.korCalibrationBalanceDown);
                    break;
                case ButtonImages.korCalibrationBalanceUp:
                    bt = new Bitmap(Resource1.korCalibrationBalanceUp);
                    break;
                case ButtonImages.korCalibrationCancelDisable:
                    bt = new Bitmap(Resource1.korCalibrationCancelDisable);
                    break;
                case ButtonImages.korCalibrationCancelDown:
                    bt = new Bitmap(Resource1.korCalibrationCancelDown);
                    break;
                case ButtonImages.korCalibrationCancelUp:
                    bt = new Bitmap(Resource1.korCalibrationCancelUp);
                    break;
                case ButtonImages.korCalibrationStartDisable:
                    bt = new Bitmap(Resource1.korCalibrationStartDisable);
                    break;
                case ButtonImages.korCalibrationStartDown:
                    bt = new Bitmap(Resource1.korCalibrationStartDown);
                    break;
                case ButtonImages.korCalibrationStartUp:
                    bt = new Bitmap(Resource1.korCalibrationStartUp);
                    break;
                case ButtonImages.korCalibrationZeroDisable:
                    bt = new Bitmap(Resource1.korCalibrationZeroDisable);
                    break;
                case ButtonImages.korCalibrationZeroDown:
                    bt = new Bitmap(Resource1.korCalibrationZeroDown);
                    break;
                case ButtonImages.korCalibrationZeroUp:
                    bt = new Bitmap(Resource1.korCalibrationZeroUp);
                    break;
                case ButtonImages.korJudgmentStandardDisable:
                    bt = new Bitmap(Resource1.korJudgmentStandardDisable);
                    break;
                case ButtonImages.korJudgmentStandardDown:
                    bt = new Bitmap(Resource1.korJudgmentStandardDown);
                    break;
                case ButtonImages.korJudgmentStandardUp:
                    bt = new Bitmap(Resource1.korJudgmentStandardUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphOverDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphOverDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphOverUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphOverUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphPassDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphPassDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphPassUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphPassUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphTareDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphTareDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphTareUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphTareUp);
                    break;
                case ButtonImages.korFormMainDisplayBargraphUnderDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphUnderDisable);
                    break;
                case ButtonImages.korFormMainDisplayBargraphUnderUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayBargraphUnderUp);
                    break;
                case ButtonImages.korFormMainDisplayClearDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearDisable);
                    break;
                case ButtonImages.korFormMainDisplayClearDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearDown);
                    break;
                case ButtonImages.korFormMainDisplayClearUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayClearUp);
                    break;
                case ButtonImages.korFormMainDisplayDeviationUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayDeviationUp);
                    break;
                case ButtonImages.korFormMainDisplayPrintDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintDisable);
                    break;
                case ButtonImages.korFormMainDisplayPrintDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintDown);
                    break;
                case ButtonImages.korFormMainDisplayPrintUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayPrintUp);
                    break;
                case ButtonImages.korFormMainDisplayScreenDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenDisable);
                    break;
                case ButtonImages.korFormMainDisplayScreenDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenDown);
                    break;
                case ButtonImages.korFormMainDisplayScreenUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayScreenUp);
                    break;
                case ButtonImages.korFormMainDisplayStatistics:
                    bt = new Bitmap(Resource1.korFormMainDisplayStatistics);
                    break;
                case ButtonImages.korFormMainDisplayWeightUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayWeightUp);
                    break;
                case ButtonImages.korFormMainDisplayZeroDisable:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroDisable);
                    break;
                case ButtonImages.korFormMainDisplayZeroDown:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroDown);
                    break;
                case ButtonImages.korFormMainDisplayZeroUp:
                    bt = new Bitmap(Resource1.korFormMainDisplayZeroUp);
                    break;
                case ButtonImages.korFormMainLoginCancelDisable:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelDisable);
                    break;
                case ButtonImages.korFormMainLoginCancelDown:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelDown);
                    break;
                case ButtonImages.korFormMainLoginCancelUp:
                    bt = new Bitmap(Resource1.korFormMainLoginCancelUp);
                    break;
                case ButtonImages.korFormMainLoginDisable:
                    bt = new Bitmap(Resource1.korFormMainLoginDisable);
                    break;
                case ButtonImages.korFormMainLoginDown:
                    bt = new Bitmap(Resource1.korFormMainLoginDown);
                    break;
                case ButtonImages.korFormMainLoginUp:
                    bt = new Bitmap(Resource1.korFormMainLoginUp);
                    break;
                case ButtonImages.korFormMenuConfigDisable:
                    bt = new Bitmap(Resource1.korFormMenuConfigDisable);
                    break;
                case ButtonImages.korFormMenuConfigDown:
                    bt = new Bitmap(Resource1.korFormMenuConfigDown);
                    break;
                case ButtonImages.korFormMenuConfigUp:
                    bt = new Bitmap(Resource1.korFormMenuConfigUp);
                    break;
                case ButtonImages.korFormMenuDefaultDisable:
                    bt = new Bitmap(Resource1.korFormMenuDefaultDisable);
                    break;
                case ButtonImages.korFormMenuDefaultDown:
                    bt = new Bitmap(Resource1.korFormMenuDefaultDown);
                    break;
                case ButtonImages.korFormMenuDefaultUp:
                    bt = new Bitmap(Resource1.korFormMenuDefaultUp);
                    break;
                case ButtonImages.korFormMenuEquipmentDisable:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentDisable);
                    break;
                case ButtonImages.korFormMenuEquipmentDown:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentDown);
                    break;
                case ButtonImages.korFormMenuEquipmentUp:
                    bt = new Bitmap(Resource1.korFormMenuEquipmentUp);
                    break;
                case ButtonImages.korFormMenuInformationDisable:
                    bt = new Bitmap(Resource1.korFormMenuInformationDisable);
                    break;
                case ButtonImages.korFormMenuInformationDown:
                    bt = new Bitmap(Resource1.korFormMenuInformationDown);
                    break;
                case ButtonImages.korFormMenuInformationUp:
                    bt = new Bitmap(Resource1.korFormMenuInformationUp);
                    break;
                case ButtonImages.korFormMenuSystemDisable:
                    bt = new Bitmap(Resource1.korFormMenuSystemDisable);
                    break;
                case ButtonImages.korFormMenuSystemDown:
                    bt = new Bitmap(Resource1.korFormMenuSystemDown);
                    break;
                case ButtonImages.korFormMenuSystemUp:
                    bt = new Bitmap(Resource1.korFormMenuSystemUp);
                    break;
                case ButtonImages.korHelpASDisable:
                    bt = new Bitmap(Resource1.korHelpASDisable);
                    break;
                case ButtonImages.korHelpASDown:
                    bt = new Bitmap(Resource1.korHelpASDown);
                    break;
                case ButtonImages.korHelpASUp:
                    bt = new Bitmap(Resource1.korHelpASUp);
                    break;
                case ButtonImages.korHelpAutoZeroDisable:
                    bt = new Bitmap(Resource1.korHelpAutoZeroDisable);
                    break;
                case ButtonImages.korHelpAutoZeroDown:
                    bt = new Bitmap(Resource1.korHelpAutoZeroDown);
                    break;
                case ButtonImages.korHelpAutoZeroUp:
                    bt = new Bitmap(Resource1.korHelpAutoZeroUp);
                    break;
                case ButtonImages.korHelpCalibrationDisable:
                    bt = new Bitmap(Resource1.korHelpCalibrationDisable);
                    break;
                case ButtonImages.korHelpCalibrationDown:
                    bt = new Bitmap(Resource1.korHelpCalibrationDown);
                    break;
                case ButtonImages.korHelpCalibrationUp:
                    bt = new Bitmap(Resource1.korHelpCalibrationUp);
                    break;
                case ButtonImages.korHelpDataBackupDisable:
                    bt = new Bitmap(Resource1.korHelpDataBackupDisable);
                    break;
                case ButtonImages.korHelpDataBackupDown:
                    bt = new Bitmap(Resource1.korHelpDataBackupDown);
                    break;
                case ButtonImages.korHelpDataBackupUp:
                    bt = new Bitmap(Resource1.korHelpDataBackupUp);
                    break;
                case ButtonImages.korHelpDataStatisticsDisable:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsDisable);
                    break;
                case ButtonImages.korHelpDataStatisticsDown:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsDown);
                    break;
                case ButtonImages.korHelpDataStatisticsUp:
                    bt = new Bitmap(Resource1.korHelpDataStatisticsUp);
                    break;
                case ButtonImages.korHelpEngineerDisable:
                    bt = new Bitmap(Resource1.korHelpEngineerDisable);
                    break;
                case ButtonImages.korHelpEngineerDown:
                    bt = new Bitmap(Resource1.korHelpEngineerDown);
                    break;
                case ButtonImages.korHelpEngineerUp:
                    bt = new Bitmap(Resource1.korHelpEngineerUp);
                    break;
                case ButtonImages.korHelpEquipmentTestDisable:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestDisable);
                    break;
                case ButtonImages.korHelpEquipmentTestDown:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestDown);
                    break;
                case ButtonImages.korHelpEquipmentTestUp:
                    bt = new Bitmap(Resource1.korHelpEquipmentTestUp);
                    break;
                case ButtonImages.korHelpExternalOutputDisable:
                    bt = new Bitmap(Resource1.korHelpExternalOutputDisable);
                    break;
                case ButtonImages.korHelpExternalOutputDown:
                    bt = new Bitmap(Resource1.korHelpExternalOutputDown);
                    break;
                case ButtonImages.korHelpExternalOutputUp:
                    bt = new Bitmap(Resource1.korHelpExternalOutputUp);
                    break;
                case ButtonImages.korHelpFunctionDisable:
                    bt = new Bitmap(Resource1.korHelpFunctionDisable);
                    break;
                case ButtonImages.korHelpFunctionDown:
                    bt = new Bitmap(Resource1.korHelpFunctionDown);
                    break;
                case ButtonImages.korHelpFunctionUp:
                    bt = new Bitmap(Resource1.korHelpFunctionUp);
                    break;
                case ButtonImages.korHelpInformationDisable:
                    bt = new Bitmap(Resource1.korHelpInformationDisable);
                    break;
                case ButtonImages.korHelpInformationDown:
                    bt = new Bitmap(Resource1.korHelpInformationDown);
                    break;
                case ButtonImages.korHelpInformationUp:
                    bt = new Bitmap(Resource1.korHelpInformationUp);
                    break;
                case ButtonImages.korHelpInitializationDisable:
                    bt = new Bitmap(Resource1.korHelpInitializationDisable);
                    break;
                case ButtonImages.korHelpInitializationDown:
                    bt = new Bitmap(Resource1.korHelpInitializationDown);
                    break;
                case ButtonImages.korHelpInitializationUp:
                    bt = new Bitmap(Resource1.korHelpInitializationUp);
                    break;
                case ButtonImages.korHelpIOTestDisable:
                    bt = new Bitmap(Resource1.korHelpIOTestDisable);
                    break;
                case ButtonImages.korHelpIOTestDown:
                    bt = new Bitmap(Resource1.korHelpIOTestDown);
                    break;
                case ButtonImages.korHelpIOTestUp:
                    bt = new Bitmap(Resource1.korHelpIOTestUp);
                    break;
                case ButtonImages.korHelpItemDisable:
                    bt = new Bitmap(Resource1.korHelpItemDisable);
                    break;
                case ButtonImages.korHelpItemDown:
                    bt = new Bitmap(Resource1.korHelpItemDown);
                    break;
                case ButtonImages.korHelpItemUp:
                    bt = new Bitmap(Resource1.korHelpItemUp);
                    break;
                case ButtonImages.korHelpJudgmentDisable:
                    bt = new Bitmap(Resource1.korHelpJudgmentDisable);
                    break;
                case ButtonImages.korHelpJudgmentDown:
                    bt = new Bitmap(Resource1.korHelpJudgmentDown);
                    break;
                case ButtonImages.korHelpJudgmentUp:
                    bt = new Bitmap(Resource1.korHelpJudgmentUp);
                    break;
                case ButtonImages.korHelpOptionBoardDisable:
                    bt = new Bitmap(Resource1.korHelpOptionBoardDisable);
                    break;
                case ButtonImages.korHelpOptionBoardDown:
                    bt = new Bitmap(Resource1.korHelpOptionBoardDown);
                    break;
                case ButtonImages.korHelpOptionBoardUp:
                    bt = new Bitmap(Resource1.korHelpOptionBoardUp);
                    break;
                case ButtonImages.korHelpOptionDisable:
                    bt = new Bitmap(Resource1.korHelpOptionDisable);
                    break;
                case ButtonImages.korHelpOptionDown:
                    bt = new Bitmap(Resource1.korHelpOptionDown);
                    break;
                case ButtonImages.korHelpOptionUp:
                    bt = new Bitmap(Resource1.korHelpOptionUp);
                    break;
                case ButtonImages.korHelpSerialDisable:
                    bt = new Bitmap(Resource1.korHelpSerialDisable);
                    break;
                case ButtonImages.korHelpSerialDown:
                    bt = new Bitmap(Resource1.korHelpSerialDown);
                    break;
                case ButtonImages.korHelpSerialUp:
                    bt = new Bitmap(Resource1.korHelpSerialUp);
                    break;
                case ButtonImages.korHelpSorterDisable:
                    bt = new Bitmap(Resource1.korHelpSorterDisable);
                    break;
                case ButtonImages.korHelpSorterDown:
                    bt = new Bitmap(Resource1.korHelpSorterDown);
                    break;
                case ButtonImages.korHelpSorterUp:
                    bt = new Bitmap(Resource1.korHelpSorterUp);
                    break;
                case ButtonImages.korHelpTimeDisable:
                    bt = new Bitmap(Resource1.korHelpTimeDisable);
                    break;
                case ButtonImages.korHelpTimeDown:
                    bt = new Bitmap(Resource1.korHelpTimeDown);
                    break;
                case ButtonImages.korHelpTimeUp:
                    bt = new Bitmap(Resource1.korHelpTimeUp);
                    break;
                case ButtonImages.korHelpUpdateDisable:
                    bt = new Bitmap(Resource1.korHelpUpdateDisable);
                    break;
                case ButtonImages.korHelpUpdateDown:
                    bt = new Bitmap(Resource1.korHelpUpdateDown);
                    break;
                case ButtonImages.korHelpUpdateUp:
                    bt = new Bitmap(Resource1.korHelpUpdateUp);
                    break;
                case ButtonImages.korHelpUserDisable:
                    bt = new Bitmap(Resource1.korHelpUserDisable);
                    break;
                case ButtonImages.korHelpUserDown:
                    bt = new Bitmap(Resource1.korHelpUserDown);
                    break;
                case ButtonImages.korHelpUserUp:
                    bt = new Bitmap(Resource1.korHelpUserUp);
                    break;
                case ButtonImages.korLightOverDown:
                    bt = new Bitmap(Resource1.korLightOverDown);
                    break;
                case ButtonImages.korLightOverUp:
                    bt = new Bitmap(Resource1.korLightOverUp);
                    break;
                case ButtonImages.korLightPassDown:
                    bt = new Bitmap(Resource1.korLightPassDown);
                    break;
                case ButtonImages.korLightPassUp:
                    bt = new Bitmap(Resource1.korLightPassUp);
                    break;
                case ButtonImages.korLightUnderDown:
                    bt = new Bitmap(Resource1.korLightUnderDown);
                    break;
                case ButtonImages.korLightUnderUp:
                    bt = new Bitmap(Resource1.korLightUnderUp);
                    break;
                case ButtonImages.korMainRunLineOverDisable:
                    bt = new Bitmap(Resource1.korMainRunLineOverDisable);
                    break;
                case ButtonImages.korMainRunLineOverDown:
                    bt = new Bitmap(Resource1.korMainRunLineOverDown);
                    break;
                case ButtonImages.korMainRunLineOverUp:
                    bt = new Bitmap(Resource1.korMainRunLineOverUp);
                    break;
                case ButtonImages.korMainRunLinePassDisable:
                    bt = new Bitmap(Resource1.korMainRunLinePassDisable);
                    break;
                case ButtonImages.korMainRunLinePassDown:
                    bt = new Bitmap(Resource1.korMainRunLinePassDown);
                    break;
                case ButtonImages.korMainRunLinePassUp:
                    bt = new Bitmap(Resource1.korMainRunLinePassUp);
                    break;
                case ButtonImages.korMainRunLineUnderDisable:
                    bt = new Bitmap(Resource1.korMainRunLineUnderDisable);
                    break;
                case ButtonImages.korMainRunLineUnderDown:
                    bt = new Bitmap(Resource1.korMainRunLineUnderDown);
                    break;
                case ButtonImages.korMainRunLineUnderUp:
                    bt = new Bitmap(Resource1.korMainRunLineUnderUp);
                    break;         
                #endregion

                case ButtonImages.ProductNoDisable:
                    bt = new Bitmap(Resource1.ProductNoDisable);
                    break;
                case ButtonImages.ProductNoDown:
                    bt = new Bitmap(Resource1.ProductNoDown);
                    break;
                case ButtonImages.ProductNoUp:
                    bt = new Bitmap(Resource1.ProductNoUp);
                    break;       

                default:
                    bt = new Bitmap(Resource1.korFormMenuSystemUp);
                    break;
            }

            return bt;
        }
    }
}
